<?php
session_start();

include ("../../BD/conexion_bd.php");
	if(!$conexion)
	{
		die("error al intentar conectar: " .mysql_error());
	}
mysql_query("SET NAMES 'utf8'");
$nombre_subtarea=ucwords($_POST['nombre_subtarea']);
$descripcion_subtarea=$_POST['descripcion'];
$fecha_dia_inicio=substr($_POST['fecha_inicio_subtarea'],0,2);
switch(substr($_POST['fecha_inicio_subtarea'],3,3))
{
	case 'ENE':
		$fecha_mes_inicio=1;
	break;
	case 'FEB':
		$fecha_mes_inicio=2;
	break;
	case 'MAR':
		$fecha_mes_inicio=3;
	break;
	case 'ABR':
		$fecha_mes_inicio=4;
	break;
	case 'MAY':
		$fecha_mes_inicio=5;
	break;
	case 'JUN':
		$fecha_mes_inicio=6;
	break;
	case 'JUL':
		$fecha_mes_inicio=7;
	break;
	case 'AGO':
		$fecha_mes_inicio=8;
	break;
	case 'SEP':
		$fecha_mes_inicio=9;
	break;
	case 'OCT':
		$fecha_mes_inicio=10;
	break;
	case 'NOV':
		$fecha_mes_inicio=11;
	break;
	case 'DIC':
		$fecha_mes_inicio=12;
	break;
	default:
}
$fecha_year_inicio=substr($_POST['fecha_inicio_subtarea'],-4,4);
$fecha_completa_inicio=$fecha_year_inicio."-".$fecha_mes_inicio."-".$fecha_dia_inicio;
if($_POST['fecha_termino_subtarea']=='')//sino se seleccionó fecha de término
{
	$fecha_completa_termino='NULL';
}
else
{
	$fecha_dia_fin=substr($_POST['fecha_termino_subtarea'],0,2);
	switch(substr($_POST['fecha_termino_subtarea'],3,3))
	{
		case 'ENE':
			$fecha_mes_termino=1;
		break;
		case 'FEB':
			$fecha_mes_termino=2;
		break;
		case 'MAR':
			$fecha_mes_termino=3;
		break;
		case 'ABR':
			$fecha_mes_termino=4;
		break;
		case 'MAY':
			$fecha_mes_termino=5;
		break;
		case 'JUN':
			$fecha_mes_termino=6;
		break;
		case 'JUL':
			$fecha_mes_termino=7;
		break;
		case 'AGO':
			$fecha_mes_termino=8;
		break;
		case 'SEP':
			$fecha_mes_termino=9;
		break;
		case 'OCT':
			$fecha_mes_termino=10;
		break;
		case 'NOV':
			$fecha_mes_termino=11;
		break;
		case 'DIC':
			$fecha_mes_termino=12;
		break;
		default:
	}
	$fecha_year_termino=substr($_POST['fecha_termino_subtarea'],-4,4);
	$fecha_completa_termino=$fecha_year_termino."-".$fecha_mes_termino."-".$fecha_dia_fin;
}
$prioridad_subtarea=$_POST['prioridad_subtarea'];


//INSERT
mysql_query("INSERT INTO Sub_Tareas (id, Tareas_id, Nombre_Tarea, Descripcion_Detallada, Fecha_Inicio, Fecha_Termino, Prioridad, Finalizado) VALUES (NULL,".$_SESSION['ID_tarea'].",'$nombre_subtarea','$descripcion_subtarea','$fecha_completa_inicio', '$fecha_completa_termino', '$prioridad_subtarea', 0)",$conexion);
mysql_close($conexion);
header("location:../asignar_actividades_formulario.php");
?>